import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";

const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

//获取所有menu
export async function httpList(): Promise<DataType<Menu[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/menulist`, {
    data: {}
  });
}

//更新菜单状态
export async function httpMenuStatus(): Promise<DataType<Menu[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/menustatus`, {
    data: {}
  });
}

//获取menu节点下的action
export async function httpActionList(data: object): Promise<DataType<Menu[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/menuaction`, {
    data
  });
}

//按钮添加
export async function httpActionAdd(data: object): Promise<DataType<Menu[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/menuactionadd`, {
    data
  });
}

//按钮更新
export async function httpActionUpdate(
  data: object
): Promise<DataType<Menu[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/menuactionsave`, {
    data
  });
}

//按钮状态
export async function httpActionStatus(
  data: object
): Promise<DataType<Menu[]>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/menuactionstatus`,
    {
      data
    }
  );
}

//按钮删除
export async function httpActionDel(data: object): Promise<DataType<Menu[]>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/menuactiondel`, {
    data
  });
}
