import { ModalConfig } from "/@/components/PageModal/src/types";
import { createRoleOptions, createCardOptions } from "../utils/create-options";
const modalConfig: ModalConfig = {
  title: "运营账号",
  width: "900px",
  colLayout: { span: 24 },
  itemStyle: {},
  contact: "account",
  labelWidth: "100px",
  formItems: [
    {
      field: "username",
      type: "input",
      label: "账号",
      placeholder: "账号",
      rules: [{ required: true, trigger: "blur", message: "请输入账号" }]
    },
    {
      field: "role_id",
      type: "select",
      label: "角色",
      placeholder: "角色",
      options: await createRoleOptions(),
      rules: [{ required: true, trigger: "change", message: "请选择角色" }]
    },
    {
      field: "card_id",
      type: "checkbox",
      label: "卡类型",
      placeholder: "卡类型",
      options: await createCardOptions(),
      rules: [{ required: true, trigger: "change", message: "请选择卡类型" }]
    }
  ]
};

export default modalConfig;
