import { shareTypeOptions } from "./_options";
import { FormConfig } from "/@/components/PageSearch";
import { STATUS_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "title",
      type: "input",
      placeholder: "用户组名称"
    },
    {
      field: "nickname",
      type: "input",
      placeholder: "成员"
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: convertOptions(STATUS_OPTIONS)
    },
    {
      field: "type",
      type: "select",
      placeholder: "共享类型",
      options: convertOptions(shareTypeOptions)
    }
  ]
};

export default searchFormConfig;
