import { statusOptions } from "./_options";
import { FormConfig } from "/@/components/PageSearch";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: convertOptions(statusOptions)
    },
    {
      field: "supplierName",
      type: "input",
      placeholder: "离职人姓名"
    },
    {
      field: "supplierName_js",
      type: "input",
      placeholder: "接收人姓名"
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始日期",
        endPlaceholder: "结果日期"
      }
    }
  ]
};

export default searchFormConfig;
