import { ModalConfig } from "/@/components/PageModal/src/types";
import { isLicense } from "/@/utils/validate";

const modalConfig: ModalConfig = {
  title: "视频",
  colLayout: { span: 24 },
  itemStyle: {},
  contact: "invoice_mobile",
  formItems: [
    {
      field: "video_sn",
      type: "input",
      label: "视频编号",
      isHidden: true,
      labelWidth: "120px",
      placeholder: "视频编号"
    },

    {
      field: "nickname",
      type: "input",
      label: "视频名称",
      labelWidth: "120px",
      placeholder: "视频名称",
      rules: [{ required: true, trigger: "change", message: "请输入视频名称" }]
    },
    {
      field: "mobile",
      type: "input",
      label: "视频链接",
      labelWidth: "120px",
      placeholder: "视频链接",
      rules: [{ required: true, trigger: "change", message: "请输入视频链接" }]
    },
    {
      field: "remark",
      type: "input",
      label: "视频描述",
      labelWidth: "120px",
      placeholder: "视频描述",
      rules: [{ required: true, trigger: "change", message: "请输入视频描述" }]
    },
    {
      field: "video_img",
      type: "img_upload",
      label: "视频封面",
      labelWidth: "120px",
      placeholder: "视频封面",
      rules: [
        { required: true, trigger: "change", message: "请上传视频封面！" }
      ]
    },
    {
      field: "video_set",
      type: "input",
      label: "视频设置",
      labelWidth: "120px",
      isHidden: true,
      placeholder: "视频设置"
    }
  ]
};

export default modalConfig;
