import { FormConfig } from "/@/components/PageSearch";
import { ORDER_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start_date",
        endProp: "end_date",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "订单状态",
      options: convertOptions(ORDER_OPTIONS)
    },
    {
      field: "name",
      type: "input",
      placeholder: "客户名称"
    },
    {
      field: "username",
      type: "input",
      placeholder: "用户卡号"
    }
  ]
};

export default searchFormConfig;
