import { isString } from "@pureadmin/utils";
import { h } from "vue";
import { ContentConfig } from "/@/components/PageContent";
import { httpDelete, httpStatus, httpList } from "/@/api/mobile/shopOrder";
import { renderStatus } from "/@/utils/column-helper";
import { STATUS_OPTIONS } from "/@/config/status";
import { ElTag } from "element-plus";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    prop: "id",
    label: "ID",
    width: "70px"
  },
  {
    prop: "status",
    label: "状态",
    minWidth: "90px",
    ...renderStatus(STATUS_OPTIONS)
  },
  {
    prop: "video_name",
    label: "视频名称",
    minWidth: "250px"
  },
  {
    prop: "remark",
    label: "视频描述"
  },

  {
    prop: "addtime",
    label: "创建时间",
    minWidth: "160px"
  },

  {
    label: "操作",
    fixed: "right",
    width: 120,
    slot: "operation"
  }
];
const contentConfig: ContentConfig = {
  title: "账号管理",
  columns,
  apis: {
    httpDelete,
    httpStatus,
    httpList
  },
  notPreview: false
};

export default contentConfig;
