/* eslint-disable prettier/prettier */
import { FormConfig } from "/@/components/PageSearch";
export const projectFormConfig: FormConfig = {
  formItems: [
    {
      label: "公司",
      field: "company_id",
      placeholder: "公司",
      span: 24,

      slot: "company_id"
    },
    {
      label: "卡类型",
      field: "card_id",
      placeholder: "卡类型",
      span: 24,

      slot: "card_id"
    },
    {
      label: "服务名称",
      field: "title",
      type: "input",
      placeholder: "服务名称",
      span: 24
    },
    {
      label: "原价",
      field: "original_price",
      type: "number",
      placeholder: "原价",
      otherOptions: {
        precision: 2,
        step: 1,
        "controls-position": "right",
        min: 0,
        max: 99999999
      },
      span: 12
    },
    {
      label: "活动价",
      field: "activity_price",
      type: "number",
      placeholder: "活动价",
      otherOptions: {
        precision: 2,
        step: 1,
        "controls-position": "right",
        min: 0,
        max: 99999999
      },
      span: 12
    },

    {
      label: "活动开始日期",
      field: "starttime",
      type: "date_picker",
      otherOptions: {
        type: "date",
        format: "YYYY-MM-DD"
      },
      placeholder: "活动开始日期",
      span: 12
    },
    {
      label: "活动结束日期",
      field: "endtime",
      type: "date_picker",

      otherOptions: {
        type: "date",
        format: "YYYY-MM-DD"
      },
      placeholder: "活动结束日期",
      span: 12
    },
    {
      label: "服务到期日期",
      field: "expiretime",
      type: "date_picker",

      otherOptions: {
        type: "date",
        format: "YYYY-MM-DD"
      },
      placeholder: "服务到期日期",
      span: 24
    },
    {
      label: "服务介绍",
      field: "content",
      type: "textarea",
      placeholder: "服务介绍",
      span: 24
    },
    {
      label: "备注",
      field: "remark",
      type: "textarea",
      placeholder: "备注",
      span: 24
    }
  ]
};
