import { ModalConfig } from "/@/components/PageModal/src/types";
import { isLicense } from "/@/utils/validate";

const modalConfig: ModalConfig = {
  title: "视频",
  colLayout: { span: 24 },
  itemStyle: {},
  contact: "invoice_mobile",
  labelWidth: "100px",
  formItems: [
    {
      field: "video_img",
      type: "img_upload",
      label: "视频封面",
      placeholder: "视频封面",
      span: 8,
      rules: [
        { required: true, trigger: "change", message: "请上传视频封面！" }
      ]
    },
    {
      field: "video_name",
      type: "input",
      label: "视频名称",
      placeholder: "视频名称",
      span: 16,
      rules: [{ required: true, trigger: "change", message: "请输入视频名称" }]
    },
    {
      field: "video_url",
      type: "input",
      label: "视频链接",
      placeholder: "视频链接",
      rules: [{ required: true, trigger: "change", message: "请输入视频链接" }]
    },
    {
      field: "remark",
      type: "textarea",
      label: "视频描述",
      placeholder: "视频描述",
      rules: [{ required: true, trigger: "change", message: "请输入视频描述" }]
    }
  ]
};

export default modalConfig;
