import { FormConfig } from "/@/components/PageSearch";
import { ROLE_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "lowtime",
        endProp: "uptime",
        startPlaceholder: "创建开始时间",
        endPlaceholder: "创建结束时间"
      }
    },
    {
      field: "role",
      type: "select",
      placeholder: "角色类型",
      options: convertOptions(ROLE_OPTIONS)
    },
    {
      field: "username",
      type: "input",
      placeholder: "账户名"
    }
    //缺少筛选模块的部分
    // {
    //   field: "moudel",
    //   type: "input",
    //   placeholder: "视频编号"
    // }
  ]
};

export default searchFormConfig;
